Time tracking

Bulk Approve Compliant Timesheets

Approves all signed, fully compliant timesheet periods in admin scope, auditing and notifying each employee.

POSThttps://api.toku.com/hris/bulk-approve-compliant-timesheets

Not available to API keys yet. It will need time:write.

curl --request POST \
  --url 'https://api.toku.com/hris/bulk-approve-compliant-timesheets' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "timesheetPeriodIDs": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}'
200 response
{
  "approvedCount": 0,
  "skippedForReviewCount": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

timesheetPeriodIDsstring<uuid>[]

Allowed: at most 500 items

Response

200Successful response
approvedCountinteger
skippedForReviewCountinteger
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits